 # R code for making combined graphs Sept 17, 2017 Rupesh Subedi
 # revised in December 2019, Stephan Gruber
 
 # Terrain Types
 	# 1. Eskers
 	# 2. Organics
 	# 3. Till
 	# 4. Valley

# Load Package
require(openxlsx)
require(zoo)
library(ggvis)
library(gridExtra)
library(dplyr)
require(cowplot)
require(ggplot2)
theme_set(theme_cowplot()) 
 		
# run scripts for preparing plots per terrain type 			
source(file.path(path, "Organics.R")) 		
source(file.path(path, "Eskers.R")) 
source(file.path(path, "Till.R")) 
source(file.path(path, "Valley.R")) 
 		
# Water Content
GWC <- plot_grid(plotGWCTill, plotGWCOrganics, plotGWCValley, plotGWCEsker, labels=c("A", "B","C","D"), align = 'v', ncol=2, nrow=2)
save_plot(file.path(path, "GWC.pdf"), GWC, base_width=11.3/2.54, base_height=16/2.54)

# Excess Ice Content
ICE <- plot_grid(plotICETill, plotICEOrganics, plotICEValley, plotICEEsker, labels=c("A", "B","C","D"), align = 'v', ncol=2, nrow=2)
save_plot(file.path(path, "ICE.pdf"), ICE, base_width=11.3/2.54, base_height=16/2.54)
 	
# Organic Matter Content
SOC <- plot_grid(plotSOMTill, plotSOMOrganics, plotSOMValley, plotSOMEsker, labels=c("A", "B","C","D"), align = 'v', ncol=2, nrow=2)
save_plot(file.path(path, "SOC.pdf"), SOC, base_width=11.3/2.54, base_height=16/2.54)	
 	
# Soluble Cations
CAT <- plot_grid(plotCATTill, plotCATOrganics, plotCATValley, plotCATEsker, labels=c("A", "B","C","D"), align = 'v', ncol=2, nrow=2)
save_plot(file.path(path, "CAT.pdf"), CAT, base_width=11.3/2.54, base_height=16/2.54)	
 	
 